Type: AWS::IAM::Role
Properties:
  RoleName: ${self:custom.upperPrefix}_GET_NOTICES_IDS_CHUNKS_ROLE
  AssumeRolePolicyDocument:
    ${file(serverless/iam/policies/lambda_assume_role_policy.yml)}
  Policies:
    - ${file(serverless/iam/policies/dynamodb_readwrite_policy.yml)}
  ManagedPolicyArns:
    - ${ssm:/tedai/iam/policies/ssm_cloudwatch_logs_write_policy/arn}
  PermissionsBoundary: arn:aws:iam::${aws:accountId}:policy/Developer_Boundary
